## EXPORT_SPEC int UpnpResolveURL

## ( IN const char* BaseURL,
IN const char* RelURL,
OUT char* AbsURL )

> UpnpResolveURL combines a base URL and a relative URL into a single absolute URL.

## Documentation

> UpnpResolveURL combines a base URL and a relative URL into a single absolute URL. The memory for AbsURL needs to be allocated by the caller and must be large enough to hold the BaseURL and RelURL combined.

Parameters:
  BaseURL - The base URL to combine.
  RelURL - The relative URL to BaseURL.
  AbsURL - A pointer to a buffer to store the absolute URL.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: RelURL is `NULL`.
  - `UPNP_E_INVALID_URL`: The BaseURL / RelURL combination does not form a valid URL.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.